Name:     mate-random-background
Version:  1.4
Release:  %mkrel 1

Summary:  Mate desktop wallpaper changer
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFPL
Group:    Graphics
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mate-panel
Requires: mate-notification-daemon
Requires: lib64notify4
Requires: python3
Requires: xapps
Requires: python3-xapps-overrides
Requires: yad
Requires: wmctrl

%description
Makes changes to your MATE desktop in desired random intervals.
Simply place pics of your favorite images in your ~/Wallpapers folder.
With the notify icon menu you can make changes on the fly or from 
selected intervals.
* Supports muliple workspaces.
* Supports png, jpg, jpeg, gif, and bmp images. 

%prep
%setup -q
 
%make 

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
 --dir %buildroot%{_datadir}/applications \
%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root)
%_bindir/random-background
%_datadir/applications/*.desktop
%_iconsdir/hicolor/*/apps/random-background.png
%_datadir/random-background

%changelog
* Mon Feb 27 2024 Ken <lxgator at gmail.com> 1.4-1pclos2023
- Update to 1.4

* Fri Apr 08 2022 Ken <lxgator at gmail.com> 1.3-1pclos2022
- Update to 1.3

